Class | Sequel::JDBC::Postgres::Dataset
In: | lib/sequel/adapters/jdbc/postgresql.rb
Parent: | JDBC::Dataset

Dataset subclass used for datasets that connect to PostgreSQL via JDBC.

### Methods

literal_string prepare

### Included Modules

Sequel::Postgres::DatasetMethods

### Public Instance methods

literal_string(v)

Literalize strings similar to the native postgres adapter

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 95
    95:         def literal_string(v)
    96:           db.synchronize{|c| "'#{c.escape_string(v)}'"}
    97:         end

prepare(*args)

Add the shared PostgreSQL prepared statement methods

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 88
    88:         def prepare(*args)
    89:           ps = super
    90:           ps.extend(::Sequel::Postgres::DatasetMethods::PreparedStatementMethods)
    91:           ps
    92:         end

[Validate]